# 異動行情

`GET` `/v1/quote/changes`

識別市場異動，包括價格異常波動、成交量激增等非正常交易行為。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `market` | string | Yes | 市場代碼：`US`、`HK`、`SH`、`SZ`、`SG` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/changes?market=<market>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `all_off` | boolean | No | 是否全局關閉異動提醒 |
| `changes` | object[] | No | 市場異動事件列表， |
| `└ symbol` | string | Yes | 證券代碼 |
| `└ name` | string | No | 證券名稱 |
| `└ alert_name` | string | No | 異動類型名稱 |
| `└ alert_time` | integer | No | 異動時間（Unix 時間戳，毫秒） |
| `└ emotion` | integer | No | 情緒方向：`1`=正面/上漲，`2`=負面/下跌 |
| `└ change_values` | string[] | No | 變化數值字符串列表 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "all_off": false,
    "changes": [
      {
        "symbol": "TSLA.US",
        "name": "Tesla Inc.",
        "alert_name": "Block Trade",
        "alert_time": 1778198400000,
        "emotion": 1,
        "change_values": [
          "+5.2%"
        ]
      }
    ]
  }
}
```
